<template> 
<div class="Blog">
    <div class="row" v-for="(item , id) in blogs" :key="id">
    <div class="col-md-12 col-lg-4">
        <div class="port_blog_mainbox vertical_content" >
                    <div class="port_blog_imgbox"  >
                        <img src="../../../public/assets/images/chapter-1-3.jpg" alt="blog-image" class="img-fluid"/>	
                    </div>	


                <div class="port_blog_contentbox">
                <span class="date_span">اردیبهشت 10 1401 </span>
                <h4 class="blog_heading">
                    <a href="blog.html">صلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید </a>
                </h4>
                <div class="blog_info">
                    <ul>
                        <li><i class="fas fa-user-edit"></i><a href="">ادمین</a> </li>
                        <li><i class="far fa-comments"></i><a href="">50</a></li>
                    </ul>
                </div>
                <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائاضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
                <p>{{item.post2}}</p>
                
                <div class="blog_readmore">
                <router-link :to="{name : 'post' , params : {id : item.post2.id}}"><a href="" class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a></router-link>
                </div>
                
                </div>	
        </div>
    </div>	
    <div class="col-lg-8 col-md-12">
        <div class="port_blog_mainbox left_content">
            <div class="row" >
                <div class="col-md-6 order-md-1 order-2" >
                    <div class="port_blog_contentbox">
                        <span class="date_span" >19 شهریور 1400</span>
                        <h4 class="blog_heading">
                            <a href="blog.html">اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</a>
                        </h4>
                        <div class="blog_info">
                            <ul>
                                <li><i class="fas fa-user-edit"></i><a href="">ادمین</a> </li>
                                <li><i class="far fa-comments"></i><a href="">50</a></li>
                            </ul>
                        </div>
                        <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
                        <p>{{item.post1}}</p>
                        <div class="blog_readmore">
                            <router-link :to="{name : 'post' , params : {id : item.post1.id}}"><a href="" class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a></router-link>
                        
                        </div>
                    </div>	
                </div>
                <div class="col-md-6 order-1 align-self-center" >
                    <div class="port_blog_imgbox" >
                        <img src="../../../public/assets/images/lrg-clients.png" alt="blog-image" class="img-fluid"/>	
                    </div>	
                </div>

            </div>
        </div>
        <div class="port_blog_mainbox right_content">
            <div class="row no-gutters" >
                <div class="col-md-6 align-self-center" >
                    <div class="port_blog_imgbox" >
                        <img src="../../../public/assets/images/Logo_inspiration_jpg_McepkS6d.jpg" alt="blog-image" class="img-fluid"/>	
                    </div>	
                </div>
                <div class="col-md-6" >
                    <div class="port_blog_contentbox">
                        <span class="date_span">15 خرداد 1399 </span>
                        <h4 class="blog_heading">
                            <a href="blog.html">اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</a>
                        </h4>
                        <div class="blog_info">
                            <ul>
                                <li><i class="fas fa-user-edit"></i><a href="">ناهید برکتی</a> </li>
                                <li><i class="far fa-comments"></i><a href="">50</a></li>
                            </ul>
                        </div>
                        <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
                        <p>{{item.post3.id}}</p>
                        <div class="blog_readmore">
                        <router-link :to="{name : 'post' , params : {id : item.post3.id}}">
                        <a class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a>
                        </router-link>
                        </div>
                    </div>	
                </div>
            </div>
        </div> 
    </div> 
  </div>
</div>


</template>

<script>
import  { mapGetters  } from 'vuex';
//import blogVertical from  './blogVertical';
// import blogRight from  './blogRight';
// import blogLeft from  './blogLeft'

export default {
    name :"Blog",
    components : {
        //blogVertical,
        // blogRight,
        // blogLeft
    },
    data: function(){
        return {
            id : "",
            item : "",
            style : '',
            
        }   
    },
    mounted() {
        this.$store.dispatch('getAllBlogs');
        console.log(this.blogs , "nahiiiid")
        
    },
    computed: { 
        ...mapGetters({
            blogs : 'allBlogs'
            
        }),
    },
    methods:{
        disable: function(element){
            //console.log(element, "nahid")
            if(element.styleNumber ==  1){
                //console.log( element.styleNumber, "123")
                // this.$delete(this.ablogs, element)
                return true
            }else if(element.styleNumber ==  2){
                console.log( this.$delete, "1234252")
                // this.$delete(this.blogs, element)
                return false
            }else{
            console.log( element.styleNumber, "1234dslmdbl252")
            // this.$delete(this.blogs, element)
            return false
            } 
        },
        BlogToPost: function(){
            console.log(this.ablogs.post3.id , "sfnfo")
            this.$router.push({ path : '/post'})
        }
    }
    
    
    

}

</script>

<style>

</style>